// AIvan header file
// AI for Ivan my companion robot
// top level c header file
// 
// by Les Hall
// started Thu Aug 18, 2016, 3:59 PM
// 



// Ivan's long term memory
const char *fileName = "AIvan_mem.txt";  // long term memory filename
const char *fileMode = "r+";  // open long term memory file in read/write mode



// Ivan's mode
const int error = -1;  // something is wrong with Ivan
const int off = 0;  // Ivan is powered down and not running any cycles
const int awake = 1;  // Ivan is thinking in a fully conscious awareness
const int asleep = 4;  // Ivan is sleeping so his motors are off
const int dreaming = 8;	 // Ivan is thinking without long term memory access
const int imagining = 16;  // Ivan is dreaming without long term memory access





